com.hazelcast.client.proxy

## Class ClientMapReduceProxy

- java.lang.Object
- - com.hazelcast.client.spi.ClientProxy
  - - com.hazelcast.client.proxy.ClientMapReduceProxy

- All Implemented Interfaces:
    DistributedObject, JobTracker

      public class ClientMapReduceProxy
      extends ClientProxy
      implements JobTracker

  Proxy implementation of `JobTracker` for a client initiated map reduce job.

- - ### Field Summary

    - ### Fields inherited from class com.hazelcast.client.spi.ClientProxy

      `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientMapReduceProxy(String serviceName, String objectName, ClientContext context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<V> TrackableJob<V>` | `getTrackableJob(String jobId)` Returns an implementation of `TrackableJob`, or null if the job ID is not available or the job is already finished.
    `<K,V> Job<K,V>` | `newJob(KeyValueSource<K,V> source)` Builds a `Job` instance for the given `KeyValueSource` instance.
    `protected void` | `onDestroy()` Called before proxy is destroyed.
    `String` | `toString()`

    - ### Methods inherited from class com.hazelcast.client.spi.ClientProxy

      `deregisterListener, destroy, destroyLocally, destroyRemotely, equals, getClient, getConnectedServerVersion, getContext, getDistributedObjectName, getId, getName, getPartitionKey, getSerializationService, getServiceName, hashCode, invoke, invoke, invokeOnAddress, invokeOnPartition, invokeOnPartitionInterruptibly, onInitialize, onShutdown, postDestroy, preDestroy, registerListener, setContext, toData, toObject`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.hazelcast.core.DistributedObject

      `destroy, getName, getPartitionKey, getServiceName`

- - ### Constructor Detail

    - #### ClientMapReduceProxy

          public ClientMapReduceProxy(String serviceName,
                                      String objectName,
                                      ClientContext context)

  - ### Method Detail

    - #### onDestroy

          protected void onDestroy()

      Description copied from class: `ClientProxy`
      Called before proxy is destroyed. Overriding implementations should clean/release resources created during initialization.
      Overrides:
        `onDestroy` in class `ClientProxy`

    - #### newJob

          public <K,V> Job<K,V> newJob(KeyValueSource<K,V> source)

      Description copied from interface: `JobTracker`
      Builds a `Job` instance for the given `KeyValueSource` instance. The returning implementation depends on the `HazelcastInstance` that created the JobTracker.
      Caution: Do not use the JobTracker with data structures of other `HazelcastInstance` instances than the one used for creation of the JobTracker. Unexpected results may happen!
      Specified by:
        `newJob` in interface `JobTracker`
      Type Parameters:
        `K` - type of the key
        `V` - type of the value
      Parameters:
        `source` - data source the created Job should work on
      Returns:
        instance of the Job bound to the given KeyValueSource

    - #### getTrackableJob

          public <V> TrackableJob<V> getTrackableJob(String jobId)

      Description copied from interface: `JobTracker`
      Returns an implementation of `TrackableJob`, or null if the job ID is not available or the job is already finished.
      Specified by:
        `getTrackableJob` in interface `JobTracker`
      Type Parameters:
        `V` - type of the resulting value
      Parameters:
        `jobId` - job ID to search the TrackableJob for
      Returns:
        a trackable job for given job ID or null if the job ID is not available

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2019. All rights reserved.